#include <linux/version.h>

#include <linux/string.h>
#include <linux/errno.h>
#include <linux/module.h>

#include "nikal.h"

#ifdef nNIKAL100_kCopyrightString
   MODULE_LICENSE(nNIKAL100_kCopyrightString);
#endif

#ifdef nNIKAL100_kAuthorString
   MODULE_AUTHOR(nNIKAL100_kAuthorString);
#endif

#ifdef nNIKAL100_kDescriptionString
   MODULE_DESCRIPTION(nNIKAL100_kDescriptionString);
#endif


int nNIPAL100_ckalcbInitModule(void* modulePtr, const char* name);
void nNIPAL100_ckalcbCleanupModule(void* modulePtr);

int init_module(void)
{
   return nNIPAL100_ckalcbInitModule(THIS_MODULE,(THIS_MODULE)->name);
}

void cleanup_module(void)
{
   nNIPAL100_ckalcbCleanupModule(THIS_MODULE);
}


#define nNIKAL100_mExportSymbol EXPORT_SYMBOL
extern int _ZN12nNIPXIGP_1_07tDriver16___ORBGetTObjectEv;
nNIKAL100_mExportSymbol(_ZN12nNIPXIGP_1_07tDriver16___ORBGetTObjectEv);
extern int _ZN12nNIPXIGP_1_07tDriver14staticGetClassERi;
nNIKAL100_mExportSymbol(_ZN12nNIPXIGP_1_07tDriver14staticGetClassERi);
extern int _ZNK12nNIPXIGP_1_07tDriver8getClassERi;
nNIKAL100_mExportSymbol(_ZNK12nNIPXIGP_1_07tDriver8getClassERi);
extern int _ZN12nNIPXIGP_1_07tDriver13___CPPKRLCastEPS0_PKPv;
nNIKAL100_mExportSymbol(_ZN12nNIPXIGP_1_07tDriver13___CPPKRLCastEPS0_PKPv);
extern int _ZN12nNIPXIGP_1_07tDriver20___CPPKRLDynamicCastEPKPv;
nNIKAL100_mExportSymbol(_ZN12nNIPXIGP_1_07tDriver20___CPPKRLDynamicCastEPKPv);
extern int _ZN12nNIPXIGP_1_07tDriver13___CPPKRLCastEPKS0_PKPv;
nNIKAL100_mExportSymbol(_ZN12nNIPXIGP_1_07tDriver13___CPPKRLCastEPKS0_PKPv);
extern int _ZNK12nNIPXIGP_1_07tDriver20___CPPKRLDynamicCastEPKPv;
nNIKAL100_mExportSymbol(_ZNK12nNIPXIGP_1_07tDriver20___CPPKRLDynamicCastEPKPv);
extern int _ZN12nNIPXIGP_1_017getCurrentVersionERi;
nNIKAL100_mExportSymbol(_ZN12nNIPXIGP_1_017getCurrentVersionERi);
extern int _ZN12nNIPXIGP_1_026getOldestCompatibleVersionERi;
nNIKAL100_mExportSymbol(_ZN12nNIPXIGP_1_026getOldestCompatibleVersionERi);
/* _ZN12nNIPXIGP_1_014compareVersionERK10tSSVersionS2_RiPKc=_823d39a286c172ff13d34066fb734d9d */
extern int _823d39a286c172ff13d34066fb734d9d;
nNIKAL100_mExportSymbol(_823d39a286c172ff13d34066fb734d9d);
extern int _ZN12nNIPXIGP_1_07tDriver10___classIDE;
nNIKAL100_mExportSymbol(_ZN12nNIPXIGP_1_07tDriver10___classIDE);
/* _ZTv0_n24_N12nNIPXIGP_1_07tDriver20___CPPKRLDynamicCastEPKPv=_0f91c73d791fb3998860a267b1f03b37 */
extern int _0f91c73d791fb3998860a267b1f03b37;
nNIKAL100_mExportSymbol(_0f91c73d791fb3998860a267b1f03b37);
/* _ZTv0_n32_N12nNIPXIGP_1_07tDriver20___CPPKRLDynamicCastEPKPv=_af87b6a69864b07637ccca23ac4d8cc3 */
extern int _af87b6a69864b07637ccca23ac4d8cc3;
nNIKAL100_mExportSymbol(_af87b6a69864b07637ccca23ac4d8cc3);
/* _ZTv0_n32_NK12nNIPXIGP_1_07tDriver20___CPPKRLDynamicCastEPKPv=_8f70e9c0ba68c21a8507716f68d532a3 */
extern int _8f70e9c0ba68c21a8507716f68d532a3;
nNIKAL100_mExportSymbol(_8f70e9c0ba68c21a8507716f68d532a3);
/* _ZTv0_n40_NK12nNIPXIGP_1_07tDriver20___CPPKRLDynamicCastEPKPv=_d259c9b4754a341f53f2d9704f1aa817 */
extern int _d259c9b4754a341f53f2d9704f1aa817;
nNIKAL100_mExportSymbol(_d259c9b4754a341f53f2d9704f1aa817);
